# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::DistributionListWatcher Class Reference

Watchdog for distribution lists. More...

`#include <distributionlist.h>`

Inheritance diagram for KABC::DistributionListWatcher:

[legend]
Collaboration diagram for KABC::DistributionListWatcher:

[legend]
List of all members.

## Signals

void | changed ()

## Static Public Member Functions

static DistributionListWatcher * | self ()

## Detailed Description

Watchdog for distribution lists.

This class provides a changed() signal that i emitted when the distribution lists has changed in some way.

Exapmle:

      KABC::DistributionListWatcher *watchdog = KABC::DistributionListWatcher::self()

      connect( watchdog, SIGNAL( changed() ), SLOT( doSomething() ) );

Definition at line 189 of file distributionlist.h.

## Member Function Documentation

DistributionListWatcher * DistributionListWatcher::self | ( |  | ) | `[static]`

| Returns the watcher object. Definition at line 288 of file distributionlist.cpp. References endl(), and kdWarning().

void KABC::DistributionListWatcher::changed | ( |  | ) | `[signal]`

| This signal is emmitted whenever the distribution lists has changed (if a list was added or removed, when a list was renamed or the entries of the list changed).

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:40 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003